import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = 'DataMonth.csv'
data_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(data_frm.keys().values)
data = data_frm.values[0]
print(data)
v_month = np.arange(1, 7, 1)
print(v_month)
plt.bar(data_frm.keys().values, data)
plt.xticks(fontsize=16)
plt.ylabel('件数', fontsize=16)
plt.title('小学生の交通人身事故', fontsize=16)
plt.show()

X = np.vstack((np.ones(6), v_month, v_month**2, v_month**3)).T
print(X)
b = np.linalg.pinv(X) @ np.reshape(data, (6,1))
print(b)
y_hat = np.reshape(X @ b, (6))
print(y_hat)

plt.bar(v_month, data, alpha=0.5)
plt.plot(v_month, y_hat, color='r', label='回帰多項式')
plt.xticks(v_month, data_frm.keys().values, fontsize=16)
plt.ylabel('件数', fontsize=16)
plt.title('小学生の交通人身事故', fontsize=16)
plt.legend()

plt.show()
