import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = 'DataWeek.csv'
data_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(data_frm.keys().values)
data = data_frm.values[0]
print(data)
v_week = np.arange(1, 8, 1)
print(v_week)
plt.bar(data_frm.keys().values, data)
plt.xticks(fontsize=16)
plt.ylabel('件数', fontsize=16)
plt.title('小学生の交通人身事故', fontsize=16)
plt.show()

X = np.vstack((np.ones(7), v_week, v_week**2, v_week**3)).T
print(X)
b = np.linalg.pinv(X) @ np.reshape(data, (7,1))
print(b)
y_hat = np.reshape(X @ b, (7))
print(y_hat)

plt.bar(v_week, data, alpha=0.5)
plt.plot(v_week, y_hat, color='r', label='回帰多項式')
plt.xticks(v_week, data_frm.keys().values, fontsize=16)
plt.ylabel('件数', fontsize=16)
plt.title('小学生の交通人身事故', fontsize=16)
plt.legend()
plt.show()
